micro_utils.dokka
0.15.1

# TemporalFilesUtilizer

interface TemporalFilesUtilizer

## Types

Companion
Link copied to clipboard
object Companion : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer

## Functions

start
Link copied to clipboard
abstract fun start(filesMap: MutableMap<TemporalFileId, MPPFile>, filesMutex: Mutex, onNewFileFlow: Flow<TemporalFileId>): Job

## Inheritors

Companion
Link copied to clipboard
ByTimerUtilizer
Link copied to clipboard